import request from '@/utils/request'
// 导入客户列表
export function importData(param) {
  return request({
    url: '/customer/importData',
    method: 'POST',
    data: param
  })
}

// 客户列表
export function getCustomerList(param) {
  return request({
    url: '/customer/list',
    method: 'get',
    params: param
  })
}
//新增客户
export function addCustomer(param) {
  return request({
    url: '/customer',
    method: 'POST',
    data: param
  })
}


//查询跟进记录
export function getFollowList(param) {
  return request({
    url: '/customer/follow/record/list',
    method: 'get',
    params: param
  })
}
//新增跟进记录
export function addFollowRecord(param) {
  return request({
    url: '/customer/follow/record/',
    method: 'POST',
    data: param
  })
}
//获取个人客户（关联客户）
export function getUserList() {
  return request({
    url: '/customer/user/list',
    method: 'get',
  })
}
//删除跟进记录
export function delFollowRecord(param) {
  return request({
    url: '/customer/follow/record/'+param,
    method: 'delete',
  })
}
